import AsyncComponent from '../Async';

const Earth = AsyncComponent(() => import('.'));

export default {
  title: 'Deprecated/Earth',

  parameters: {
    readme: {
      sidebar: '<!-- PROPS -->',
    },
  },
};

export function DarkMode() {
  return (
    <div
      style={{
        background: '#222',
      }}>
      <Earth theme="dark" width={600} enableRotation />
    </div>
  );
}

DarkMode.storyName = 'dark mode';

export function LightMode() {
  return (
    <div
      style={{
        background: 'transparent',
      }}>
      <Earth theme="light" width={600} enableRotation />
    </div>
  );
}

LightMode.storyName = 'light mode';
